Crystal Space: iEmitFactoryState Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitFactoryState Struct Reference

This interface describes the API for the emitter mesh factory object. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitFactoryState:

[legend]
List of all members.

## Public Member Functions
virtual csRef< iEmitBox > | CreateBox ()=0
| create an emitter
virtual csRef< iEmitCone > | CreateCone ()=0
| create an emitter
virtual csRef< iEmitCylinder > | CreateCylinder ()=0
| create an emitter
virtual csRef< iEmitCylinderTangent > | CreateCylinderTangent ()=0
| create an emitter
virtual csRef< iEmitFixed > | CreateFixed ()=0
| create an emitter, you have to set the content
virtual csRef< iEmitLine > | CreateLine ()=0
| create an emitter
virtual csRef< iEmitMix > | CreateMix ()=0
| create an emitter
virtual csRef< iEmitSphere > | CreateSphere ()=0
| create an emitter
virtual csRef< iEmitSphereTangent > | CreateSphereTangent ()=0
| create an emitter

## Detailed Description

This interface describes the API for the emitter mesh factory object.

Main creators of instances implementing this interface:

- Emit mesh object plugin (crystalspace.mesh.object.emit)
- iMeshObjectType::NewFactory()

Main ways to get pointers to this interface:

- scfQueryInterface() on iMeshFactoryWrapper::GetMeshObjectFactory()

Main users of this interface:

- Emit Factory Loader plugin (crystalspace.mesh.loader.factory.emit)

Definition at line 256 of file emit.h.

## Member Function Documentation

virtual csRef<iEmitBox> iEmitFactoryState::CreateBox | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitCone> iEmitFactoryState::CreateCone | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitCylinder> iEmitFactoryState::CreateCylinder | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitCylinderTangent> iEmitFactoryState::CreateCylinderTangent | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitFixed> iEmitFactoryState::CreateFixed | ( |  | ) | `[pure virtual]`

create an emitter, you have to set the content

virtual csRef<iEmitLine> iEmitFactoryState::CreateLine | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitMix> iEmitFactoryState::CreateMix | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitSphere> iEmitFactoryState::CreateSphere | ( |  | ) | `[pure virtual]`

create an emitter

virtual csRef<iEmitSphereTangent> iEmitFactoryState::CreateSphereTangent | ( |  | ) | `[pure virtual]`

create an emitter

The documentation for this struct was generated from the following file:

- imesh/emit.h